EDIT - feature request #4837

responsive layout & theme
04/27/2015 10:42 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Caroline Ring % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Fauna Europaea Portal Release

Severity: normal

Description

The cdm_dataportal base the is based on the zen theme which is supposed to be responsive and adaptive to smart phones tablets
and the like. In the past there have been problems with this theme on small displays, therefore some responsive features of this
theme might have been disabled therefore:
TODO:

e check if responsive features have been disabled DONE

¢ test the theme on different display sizes and identify problems Works OK

¢ can the problems be solved? YES

Improvements:

1. [+] icons in the taxon tree are too tiny for finger tips
2. The menu should collapse like in bootstrap

The menu initally closed

Bootstrap =

menu toggled open after a click on the icon in the top right corner
1. The taxon tree block should be before the content and it also should be colappsible. In the collapsed state it should show the
classification as 'breadcrumb’, like Aves > Corvidae Corvus > C. corax

2. The openlayers map should adapt to different screen sizes. That is it should follow the with of the containing element. in
separate ticket: #5385
http://getbootstrap.com/:

An alternative theme that has been suggested is the "Adaptive" theme.

c.ring: modification of theme CSS for full responsiveness handed over to Tobias Gehroldt (MfN)

related tickets

* #5384

History

#1 - 04/28/2015 03:51 PM - Andreas Kohlbecker

after | upgraded the zen_dataportal base theme to zen theme 7.x-5.5 and some improvements for small display sizes git: 0484f1 ... €3925f, svn:
[23510:23542] the zen_dataportal theme is adapting quite well to small display sizes, but it still should be improved to be better usable on these
devices, see the updated description for details

#2 - 04/28/2015 04:03 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Caroline Ring
Caroline, Florian and Giinther, please review the changes that have been made so far.
You will need to refresh the drupal theme and page cache and the browser cache so that you don't miss any changes.

#3 - 08/20/2015 01:45 PM - Andreas Miuller

- Target version changed from FaunaEuropaea Migration to Fauna Europaea Portal Release

#4 - 11/19/2015 10:36 AM - Andreas Kohlbecker

c.ring wrote:

modification of theme CSS for full responsiveness handed over to Tobias Gehroldt (MfN)

Caroline und Tobias, ich denke das ist klar, aber zu Sicherheit méchte ich noch erwéhnen, dass Anderungen direkt in den css files des Themes nicht
ohne Absprache mit uns vorgenommen werden sollten. Vorzugsweise sollen eure Anpassungen in den Theme settings erfolgen oder falls nétig kann
auch im faueu modul ein zusétzliches css file eingebunden werden.

#5 - 05/04/2020 12:10 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#6 - 05/04/2020 12:12 PM - Andreas Kohlbecker
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

the review for this ticket is over due since 4 years.

| am closing the issue now.

#7 - 05/04/2020 12:14 PM - Andreas Kohlbecker

- Tags changed from faunaEuropaea to faunaEuropaea, mobile-support

Files
https://dev.e-taxonomy.eu/redmine/issues/5384
http://www.tcpdf.org

